PROGRAM dynamique
implicit none
integer im,jm

print*,'entrer les dimensions im et jm d un tableau'
read(*,*) im,jm

call tableau(im,jm)

end PROGRAM dynamique

subroutine tableau(im,jm)
implicit none
integer i,j,im,jm
real tab(im,jm)

do j=1,jm
   do i=1,im
      tab(i,j)=10.*j+i
   enddo
enddo

do j=1,jm
   write(*,*) nint(tab(:,j))
enddo
return
end SUBROUTINE tableau
